Packages - Bug #837

[netbeans] depends on two proprietary things
2015-10-20 10:51 AM - koz

Status: fixed % Done: 100%
Priority: freedom issue

Assignee:

Category:

Description

Netbeans is in our community repository. However, upon examination of the latest Netbeans' LICENSE.txt (which | have attached), |
have found that it contains this bit of troubling text:

LICENSES AND OTHER TERMS AND CONDITIONS

LICENSE #1: GPLv2 with Classpath Exception.

LICENSE #2: CDDL.

OTHER TERMS AND CONDITIONS INCORPORATED IN THIS AGREEMENT:

The use of Oracle JDBC drivers is subject to the terms and

conditions set forth at
http://www.oracle.com/technetwork/licenses/distribution-license—-152002.html

The use of Java Card Development Kit 3.0.2 is subject to the

terms and conditions set forth at
http://download.oracle.com/otn-pub/java/licenses/OTN_Java_Card_Classic_Connected_SDK_4April2012.pd
f

| know for a fact that the JDBC drivers are embedded into Netbeans to allow their use from it, and I'm pretty confident that it's a static
dependency (i.e. Netbeans won't build without them). | say this as someone who has worked with this exact thing in fairly-recent

memory.

Given that these two bits of code are licensed under very nonfree licenses, we should either deblob Netbeans or remove it from our
core repos in my opinion.

History

#1 - 2015-10-20 10:58 AM - Anonymous
- Status changed from open to in progress

- Subject changed from Netbeans depends on two proprietary things to [netbeans] depends on two proprietary things

#2 - 2015-10-20 11:45 AM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed

blacklisted!

#3 - 2020-03-09 05:41 PM - lolo

It seems that somewhere between the blacklisting, Netbeans' handoff to the Apache Software Foundation, and today, this language in the license file

has disappeared. That being the case | would like to request that netbeans be unblacklisted.

#4 - 2020-04-05 09:23 PM - bill-auger

lolo -

do you actually want to use this program ?

#5 - 2020-04-08 11:59 AM - lolo

Apologies for the delayed response, but yes, | would like to.
#6 - 2020-04-08 06:18 PM - bill-auger

ok there is one other major concern though - that is: many java programs are not built entirely from source; but include pre-compiled blobs, often
downloaded from the internet at compile-time - that is the problem i saw when evaluating jetbrains for parabola - if this program does that, i would
suggest keeping it on the blacklist, and considering if it is worth the (typcically massive) effort to get it to build from source

#7 - 2021-08-27 12:39 PM - avalos

Any update on this? I'd like to use NetBeans as well, | need it for school.

#8 - 2022-01-09 05:34 AM - Anonymous
avalos -
Only the Trisquel project has NetBeans in its repositories.
#9 - 2022-01-09 04:55 PM - nona
avalos wrote:
Any update on this? I'd like to use NetBeans as well, | need it for school.

Without assuming anything on your background, and without knowing anything about NetBeans, | would try to find a free(dom) alternative and ask
your instructor if you can use that. If some people are allowed special permissions based on religion, may be your convictions are also relevant :) .

Files

LICENSE.txt 39.5 KB 2015-10-20 koz
